Package org.jfree.report.modules.gui.swing.common.action

# Class AbstractActionDowngrade

java.lang.Object
javax.swing.AbstractAction
org.jfree.report.modules.gui.swing.common.action.AbstractActionDowngrade

All Implemented Interfaces:
  `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`, `ActionDowngrade`

Direct Known Subclasses:
  `AbstractFileSelectionAction`

public abstract class AbstractActionDowngrade extends AbstractAction implements ActionDowngrade
A class that allows Action features introduced in JDK 1.3 to be used with JDK 1.2.2, by defining the two new constants introduced by Sun in JDK 1.3.

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACCELERATOR_KEY`
The key used for storing a `KeyStroke` to be used as the accelerator for the action.
`static final String`
`MNEMONIC_KEY`
The key used for storing an int key code to be used as the mnemonic for the action.

### Fields inherited from class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields inherited from interface javax.swing.Action

`ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractActionDowngrade()`
Creates a new action with a default (transparent) icon.

## Method Summary

### Methods inherited from class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.swing.Action

`accept, addPropertyChangeListener, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from interface java.awt.event.ActionListener

`actionPerformed`

## Field Details

### ACCELERATOR_KEY

public static final String ACCELERATOR_KEY
The key used for storing a `KeyStroke` to be used as the accelerator for the action.

See Also:
  - Constant Field Values

### MNEMONIC_KEY

public static final String MNEMONIC_KEY
The key used for storing an int key code to be used as the mnemonic for the action.

See Also:
  - Constant Field Values

## Constructor Details

### AbstractActionDowngrade

protected AbstractActionDowngrade()
Creates a new action with a default (transparent) icon.